//
//  MyReviewsViewController.m
//  iAppsReview
//
//  Created by Kevin McNeish on 9/26/13.
//  Copyright (c) 2013 Oak Leaf Enterprises, Inc. All rights reserved.
//

#import "MyReviewsViewController.h"
#import "Review.h"
#import "ReviewEntity.h"
#import "ReviewViewController.h"

@interface MyReviewsViewController ()

@end

@implementation MyReviewsViewController
{
	Review *review;
	NSMutableArray	*reviews;
}

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    review = [[Review alloc] init];
	reviews = [review getAllEntities];
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
	if ([segue.identifier isEqualToString:@"ReviewSegue"]) {

		ReviewViewController *controller = segue.destinationViewController;
		NSIndexPath *indexPath = self.tableView.indexPathForSelectedRow;
		controller.reviewEntity = [reviews objectAtIndex:indexPath.row];
	}
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    // Return the number of rows in the section.
    return reviews.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"ReviewCell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    
    // Configure the cell...
	ReviewEntity *reviewEntity = [reviews objectAtIndex:indexPath.row];
	cell.textLabel.text = reviewEntity.appName;

    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
	[self performSegueWithIdentifier:@"ReviewSegue" sender:nil];
}

@end
